Name:		sqlpower-architect
Version:	1.0.9
Release:	%mkrel 1
License:	GPLv3
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Databases
URL:		http://www.sqlpower.ca/page/architect
Source:		%{name}-%{version}.tar.xz
Source1:	sqlpower-architect.png
Summary:	Data Modeling tool
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version

%description
The SQL Power Architect data modeling tool was created by data
warehouse designers and has many unique features geared specifically
for the data warehouse architect. It allows users to reverse-engineer
existing databases, perform data profiling on source databases, and
auto-generate ETL metadata.

Note that connection to the database must be enabled via tcp/ip ports.

Notice: Note regarding JDBC drivers: SQL Power Architect downloads with some JDBC drivers already built in and preconfigured. The platforms that we currently supply bundled drivers for are:

-PostgreSQL 8.2 (works with all previous backend versions)
-MS SQL Server 2012 (this driver also works with MS SQL Server 7/2008/2005/2000)
-MySQL 5.0 (this driver also works with MySQL 4.1)
-HSQLDB 1.8.0

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}-%{version}/* %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar architect.jar 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=sqlpower-architect.png
Type=Application
Terminal=false
Name=Sql Power Architect
GenericName=%{name}
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Databases;
EOF


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/sqlpower-architect.png
%{_datadir}/applications/%{name}.desktop



%changelog

* Mon Sep 13 2021  Agent Smith <ruidobranco@yahoo.com.br> 1.0.9-1pclos2021
- Updated the package to the latest version.

* Wed May 31 2017  Agent Smith <ruidobranco@yahoo.com.br> 1.0.8-1pclos2017
- Updated the package to latest version, simplified the spec, added launcher.

* Fri Feb 07 2014  Agent Smith <ruidobranco@yahoo.com.br> 1.0.7-1pclos2014
- Updated the package to latest version, included note about database connection via tcp/ip ports

* Wed Nov 07 2012  Agent Smith <ruidobranco@yahoo.com.br> 1.0.6-2pclos2012
- Fixed the spec to include the license.

* Tue Oct 02 2012  Agent Smith <ruidobranco@yahoo.com.br> 1.0.6-1pclos2012
- Created package SqlPower-Architect
